Update a data stream
curl --request PATCH \
--url https://api.endclose.com/v1/data_streams/{key} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.endclose.com/v1/data_streams/{key}"
payload = { "name": "<string>" }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.endclose.com/v1/data_streams/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": "<string>",
"name": "<string>",
"id": 123,
"description": "<string>",
"type": "<string>",
"program_id": 123,
"records_count": 123
}Data Streams
Update a data stream
Update the name of a data stream.
PATCH
/
data_streams
/
{key}
Update a data stream
Authorizations
Path Parameters
The immutable data stream key
Body
application/json
New human readable name
Response
Data stream updated
Unique immutable identifier
Human readable name
Unique numeric identifier
Optional description of the data stream
The type of data stream (e.g. api, csv, stripe, bank_feed)
Record count from the ClickHouse mirror